label {
        cursor: pointer;
        display: block;
}
label:hover {
	color:#8a998b;
}

input[type="radio"] {
        display: none;
}

#all:checked ~ .all, 
#rss:checked ~ .rss,
#rust:checked ~ .rust,
#steganography:checked ~ .steganography,
#ssg:checked ~ .ssg,
#libraries:checked ~ .libraries,
#tui:checked ~ .tui,
#dev-tools:checked ~ .dev-tools,
#arduino:checked ~ .arduino,
#cpp:checked ~ .cpp,
#pascal:checked ~ .pascal,
#tic-80:checked ~ .tic-80,
#cryptography:checked ~ .cryptography,
#web:checked ~ .web,
#javascript:checked ~ .javascript,
#lua:checked ~ .lua
{
	display: block;
}

.item {
        display: none;
        flex-direction: column;
}

.project-card-div h3 {
  border-bottom: 1px solid black;  
  margin: 0;
}

.icon-container {
  display: flex;
  gap: 10px;
  align-items: center;
  text-align: center;
  font-size: 16px;
  font-family: 'DotGothic16';
}


.arduino-icon::before {
  content: url("../assets/images/arduino.png");
  text-align: center;
  display: block;
}
.arduino-icon::after {
  content: "Arduino";
  display: block;
}

.rust-icon::before {
  content: url("../assets/images/ferris.png");
}
.rust-icon::after {
  content: "Rust";
  display: block;
}


.gpl3-icon::before {
  content: url("../assets/images/gplv3-or-later-sm.png");
}
.gpl3-icon::after {
  content: "GNU GPL";
  display: block;
}

.rss-icon::before {
  content: url("../assets/images/rss-icon.png");
}
.rss-icon::after {
  content: "RSS";
  display: block;
}

.rustic-bitmap-icon::before {
  content: url("../assets/buttons/my_buttons/rustic_bitmap.png");
}
.rustic-bitmap-icon::after {
  content: "rustic_bitmap";
  display: block;
}

.steganography-icon::before {
  content: url("../assets/buttons/steganography.png");
}
.steganography-icon::after {
  content: "Steganography";
  display: block;
}

.tui-icon::before {
  content: url("../assets/images/terminal.png");
}
.tui-icon::after {
  content: "TUI";
  display: block;
}

.ssg-icon::before {
  content: url("../assets/images/html.png");
}
.ssg-icon::after {
  content: "SSG";
  display: block;
}

.dev-tools-icon::before {
  content: url("../assets/images/keyboard.png");
}
.dev-tools-icon::after {
  content: "Developer Tools";
  display: block;
}

.cpp-icon::before {
  content: url("../assets/images/cpp-icon.png");
}
.cpp-icon::after {
  content: "C++";
  display: block;
}

.tic-80-icon::before {
  content: url("../assets/images/tic-80-icon.png");
}
.tic-80-icon::after {
  content: "TIC-80";
  display: block;
}

.lua-icon::before {
  content: url("../assets/images/lua-icon.png");
}
.lua-icon::after {
  content: "Lua";
  display: block;
}

.cryptography-icon::before {
  content: url("../assets/images/lock.png");
}
.cryptography-icon::after {
  content: "Cryptography";
  display: block;
}

.javascript-icon::before {
  content: url("../assets/images/js-icon-2.png");
}
.javascript-icon::after {
  content: "JavaScript";
  display: block;
}